Search

  • POST
  • /workspaces
  • /:workspace
  • /domains
  • /search

Search domains availability

Request

REQUIRED SCOPES
ZONE_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

BODY PARAMETERS
domainsstring[]
Set of domain names to check availability for

Constraints: Unique items required

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
domainsDomainAvailabilityPriceView[]
Collection of domain availability results

Last modified on Jun 29, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/domains/search" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "domains": [ "mysite.org", "testdomain.org.pl", "premium-name.uno", "example.com" ] }'